Subject: Re: [PATCH v4 0/8] cgroup: Assign subsystem IDs during compile time

From: Tejun Heo <[email-masked]>
Date: Wed, 12 Sep 2012 11:56:36 -0700

On Wed, Sep 12, 2012 at 04:12:00PM +0200, Daniel Wagner wrote:
> From: Daniel Wagner <[email-masked]>
> 
> Hi,
> 
> I've removed the useless test in patch #4 and updated the commit message
> on patch #7. 
> 
> While rewriting the commit message #7 I realized the pointer check was
> completely wrong. Instead testing the return value of
> task_subsys_state() I tested the pointer return by container_of. For
> more details on this see the commit message. 
> 
> Because of this I added Herbert and Paul to the Cc list. Please have
> close look at my rambling on the RCU part in patch #7. Thanks a lot!
> 
> This series is against 
> 
>      git://git.kernel.org/pub/scm/linux/kernel/git/tj/cgroup.git for-3.7

All look good to me.  Li, can you please review this?  Herbert, can
you please confirm the synchronize_rcu() removal in patch 7?

Once Li review it, I'll route the series through cgroup/for-3.7.
Thanks.

-- 
tejun